PMH7TOOL(8)

NAME
pmh7tool - read and write to pmh7 registers

SYNOPSIS

pmh7tool [-d]
pmh7tool [-r] <addr>
pmh7tool [-w] <addr> <data>
pmh7tool [-b | -c | -s] <addr> <bit>
pmh7tool [-h]

DESCRIPTION
Read and write to pmh7 registers at base address 0x15e0

  Attention!
Writing to PMH7 registers is very dangerous, as you directly manipulate the power rails, enable lines, interrupt lines or something else of the device. Proceed with caution.

OPTIONS

-h, --help:
    Print this help

-d, --dump:
    Print registers

-r, --read <addr>:
    Read from register at <addr>.

-b, --read-bit <addr> <bit>
    Read bit from register at <addr>

-w, --write <addr> <data>
    Write <data> to register at <addr>

-c, --clear-bit <addr> <bit>
    Clear bit from register at <addr>

-s, --set-bit <addr> <bit>
    Set bit at on register at <addr>

NOTES

<addr> must be in the range of 0-0x1ff
<data> must be in the range of 0-0xff
<bit>  must be in the range of 0-7

AUTHORS

coresystems GmbH.
Man page written by Ahmad Khalifa.